Index: app_zapras.c
===================================================================
--- app_zapras.c	(revision 69052)
+++ app_zapras.c	(working copy)
@@ -162,8 +162,7 @@
 			if (!res) {
 				/* Check for hangup */
 				if (chan->_softhangup && !signalled) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Channel '%s' hungup.  Signalling RAS at %d to die...\n", chan->name, pid);
+					ast_debug(1, "Channel '%s' hungup.  Signalling RAS at %d to die...\n", chan->name, pid);
 					kill(pid, SIGTERM);
 					signalled=1;
 				}
Index: app_stack.c
===================================================================
--- app_stack.c	(revision 69052)
+++ app_stack.c	(working copy)
@@ -152,11 +152,11 @@
 	oldframe = AST_LIST_REMOVE_HEAD(oldlist, entries);
 	AST_LIST_UNLOCK(oldlist);
 
-	if (oldframe)
+	if (oldframe) {
 		gosub_release_frame(chan, oldframe);
-	else if (option_debug)
-		ast_log(LOG_DEBUG, "%s called with an empty gosub stack\n", app_pop);
-
+	} else {
+		ast_debug(1, "%s called with an empty gosub stack\n", app_pop);
+	}
 	return 0;
 }
 
@@ -210,8 +210,7 @@
 	u = ast_module_user_add(chan);
 
 	if (!stack_store) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Channel %s has no datastore, so we're allocating one.\n", chan->name);
+		ast_debug(1, "Channel %s has no datastore, so we're allocating one.\n", chan->name);
 		stack_store = ast_channel_datastore_alloc(&stack_info, NULL);
 		if (!stack_store) {
 			ast_log(LOG_ERROR, "Unable to allocate new datastore.  Gosub will fail.\n");
@@ -259,8 +258,7 @@
 	for (i = 0; i < args2.argc; i++) {
 		snprintf(argname, sizeof(argname), "ARG%d", i + 1);
 		pbx_builtin_pushvar_helper(chan, argname, args2.argval[i]);
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Setting '%s' to '%s'\n", argname, args2.argval[i]);
+		ast_debug(1, "Setting '%s' to '%s'\n", argname, args2.argval[i]);
 	}
 
 	/* And finally, save our return address */
Index: app_chanspy.c
===================================================================
--- app_chanspy.c	(revision 69052)
+++ app_chanspy.c	(working copy)
@@ -378,12 +378,12 @@
 			tmp[0] = res;
 			tmp[1] = '\0';
 			if (!ast_goto_if_exists(chan, exitcontext, tmp, 1)) {
-				ast_log(LOG_DEBUG, "Got DTMF %c, goto context %s\n", tmp[0], exitcontext);
+				ast_debug(1, "Got DTMF %c, goto context %s\n", tmp[0], exitcontext);
 				pbx_builtin_setvar_helper(chan, "SPY_CHANNEL", name);
 				running = -2;
 				break;
-			} else if (option_debug > 1) {
-				ast_log(LOG_DEBUG, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
+			} else {
+				ast_debug(2, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
 			}
 		} else if (res >= '0' && res <= '9') {
 			inp[x++] = res;
@@ -508,8 +508,8 @@
 				tmp[1] = '\0';
 				if (!ast_goto_if_exists(chan, exitcontext, tmp, 1))
 					goto exit;
-				else if (option_debug > 1)
-					ast_log(LOG_DEBUG, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
+				else
+					ast_debug(2, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
 			}
 		}
 
@@ -524,8 +524,8 @@
 			tmp[1] = '\0';
 			if (!ast_goto_if_exists(chan, exitcontext, tmp, 1))
 				goto exit;
-			else if (option_debug > 1)
-				ast_log(LOG_DEBUG, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
+			else
+				ast_debug(2, "Exit by single digit did not work in chanspy. Extension %s does not exist in context %s\n", tmp, exitcontext);
 		}
 				
 		/* reset for the next loop around, unless overridden later */
Index: app_festival.c
===================================================================
--- app_festival.c	(revision 69052)
+++ app_festival.c	(working copy)
@@ -221,8 +221,7 @@
 				break;
 			}
 			if (f->frametype == AST_FRAME_DTMF) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "User pressed a key\n");
+				ast_debug(1, "User pressed a key\n");
 				if (intkeys && strchr(intkeys, f->subclass)) {
 					res = f->subclass;
 					ast_frfree(f);
@@ -252,15 +251,13 @@
 						break;
 					}
 					if (res < needed) { /* last frame */
-						if (option_debug)
-							ast_log(LOG_DEBUG, "Last frame\n");
+						ast_debug(1, "Last frame\n");
 						res=0;
 						ast_frfree(f);
 						break;
 					}
 				} else {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "No more waveform\n");
+					ast_debug(1, "No more waveform\n");
 					res = 0;
 				}
 			}
@@ -380,8 +377,7 @@
 			intstr = AST_DIGIT_ANY;
 	}
 	
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Text passed to festival server : %s\n",(char *)data);
+	ast_debug(1, "Text passed to festival server : %s\n",(char *)data);
 	/* Connect to local festival server */
 	
 	fd = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
@@ -440,21 +436,17 @@
     			if (fdesc!=-1) {
     				writecache=1;
     				strln=strlen((char *)data);
-				if (option_debug)
-					ast_log(LOG_DEBUG,"line length : %d\n",strln);
+				ast_debug(1,"line length : %d\n",strln);
     				write(fdesc,&strln,sizeof(int));
     				write(fdesc,data,strln);
 				seekpos=lseek(fdesc,0,SEEK_CUR);
-				if (option_debug)
-					ast_log(LOG_DEBUG,"Seek position : %d\n",seekpos);
+				ast_debug(1,"Seek position : %d\n",seekpos);
     			}
     		} else {
     			read(fdesc,&strln,sizeof(int));
-			if (option_debug)
-				ast_log(LOG_DEBUG,"Cache file exists, strln=%d, strlen=%d\n",strln,(int)strlen((char *)data));
+			ast_debug(1,"Cache file exists, strln=%d, strlen=%d\n",strln,(int)strlen((char *)data));
     			if (strlen((char *)data)==strln) {
-				if (option_debug)
-					ast_log(LOG_DEBUG,"Size OK\n");
+				ast_debug(1,"Size OK\n");
     				read(fdesc,&bigstring,strln);
 	    			bigstring[strln] = 0;
 				if (strcmp(bigstring,data)==0) { 
@@ -471,11 +463,9 @@
 	if (readcache==1) {
 		close(fd);
 		fd=fdesc;
-		if (option_debug)
-			ast_log(LOG_DEBUG,"Reading from cache...\n");
+		ast_debug(1,"Reading from cache...\n");
 	} else {
-		if (option_debug)
-			ast_log(LOG_DEBUG,"Passing text to festival...\n");
+		ast_debug(1,"Passing text to festival...\n");
 		fs=fdopen(dup(fd),"wb");
 		fprintf(fs,festivalcommand,(char *)data);
 		fflush(fs);
@@ -484,8 +474,7 @@
 	
 	/* Write to cache and then pass it down */
 	if (writecache==1) {
-		if (option_debug)
-			ast_log(LOG_DEBUG,"Writing result to cache...\n");
+		ast_debug(1,"Writing result to cache...\n");
 		while ((strln=read(fd,buffer,16384))!=0) {
 			write(fdesc,buffer,strln);
 		}
@@ -495,8 +484,7 @@
 		lseek(fd,seekpos,SEEK_SET);
 	}
 	
-	if (option_debug)
-		ast_log(LOG_DEBUG,"Passing data to channel...\n");
+	ast_debug(1,"Passing data to channel...\n");
 	
 	/* Read back info from server */
 	/* This assumes only one waveform will come back, also LP is unlikely */
@@ -521,16 +509,14 @@
                }
 		ack[3] = '\0';
 		if (strcmp(ack,"WV\n") == 0) {         /* receive a waveform */
-			if (option_debug)
-				ast_log(LOG_DEBUG,"Festival WV command\n");
+			ast_debug(1,"Festival WV command\n");
 			waveform = socket_receive_file_to_buff(fd,&filesize);
 			res = send_waveform_to_channel(chan,waveform,filesize, intstr);
 			ast_free(waveform);
 			break;
 		}
 		else if (strcmp(ack,"LP\n") == 0) {   /* receive an s-expr */
-			if (option_debug)
-				ast_log(LOG_DEBUG,"Festival LP command\n");
+			ast_debug(1,"Festival LP command\n");
 			waveform = socket_receive_file_to_buff(fd,&filesize);
 			waveform[filesize]='\0';
 			ast_log(LOG_WARNING,"Festival returned LP : %s\n",waveform);
Index: app_alarmreceiver.c
===================================================================
--- app_alarmreceiver.c	(revision 69052)
+++ app_alarmreceiver.c	(working copy)
@@ -251,16 +251,14 @@
 			if(option_verbose >= 4)
 				ast_verbose(VERBOSE_PREFIX_4 "AlarmReceiver: DTMF Digit Timeout on %s\n", chan->name);
 				
-			if (option_debug)
-				ast_log(LOG_DEBUG,"AlarmReceiver: DTMF timeout on chan %s\n",chan->name);
+			ast_debug(1,"AlarmReceiver: DTMF timeout on chan %s\n",chan->name);
 				
 			res = 1;
 			break;
 		}
 		
 		if ((r = ast_waitfor(chan, -1) < 0)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Waitfor returned %d\n", r);
+			ast_debug(1, "Waitfor returned %d\n", r);
 			continue;
 		}
 			
@@ -355,8 +353,7 @@
 		if (option_verbose >= 3 )
 		ast_verbose(VERBOSE_PREFIX_4 "AlarmReceiver: can't write metadata\n");	
 		
-		if (option_debug)
-			ast_log(LOG_DEBUG,"AlarmReceiver: can't write metadata\n");
+		ast_debug(1,"AlarmReceiver: can't write metadata\n");
 	}
 	else
 		res = 0;
@@ -407,8 +404,7 @@
 		if(fd == -1) {
 			if (option_verbose >= 3)
 				ast_verbose(VERBOSE_PREFIX_4 "AlarmReceiver: can't make temporary file\n");	
-			if (option_debug)
-				ast_log(LOG_DEBUG,"AlarmReceiver: can't make temporary file\n");
+			ast_debug(1,"AlarmReceiver: can't make temporary file\n");
 			res = -1;
 		}
 		
@@ -529,8 +525,7 @@
 
 		if (option_verbose >= 2)
 			ast_verbose(VERBOSE_PREFIX_2 "AlarmReceiver: Received Event %s\n", event);
-		if (option_debug)
-			ast_log(LOG_DEBUG, "AlarmReceiver: Received event: %s\n", event);
+		ast_debug(1, "AlarmReceiver: Received event: %s\n", event);
 		
 		/* Calculate checksum */
 		
@@ -560,8 +555,7 @@
 			database_increment("checksum-errors");
 			if (option_verbose >= 2)
 				ast_verbose(VERBOSE_PREFIX_2 "AlarmReceiver: Nonzero checksum\n");
-			if (option_debug)
-				ast_log(LOG_DEBUG, "AlarmReceiver: Nonzero checksum\n");
+			ast_debug(1, "AlarmReceiver: Nonzero checksum\n");
 			continue;
 		}
 
@@ -572,8 +566,7 @@
 				database_increment("format-errors");
 				if(option_verbose >= 2)
 					ast_verbose(VERBOSE_PREFIX_2 "AlarmReceiver: Wrong message type\n");
-				if (option_debug)
-					ast_log(LOG_DEBUG, "AlarmReceiver: Wrong message type\n");
+				ast_debug(1, "AlarmReceiver: Wrong message type\n");
 			continue;
 			}
 		}
@@ -715,8 +708,7 @@
 	*/
 	
 	if((!res) && (!ast_strlen_zero(event_app)) && (event_head)){
-		if (option_debug)
-			ast_log(LOG_DEBUG,"Alarmreceiver: executing: %s\n", event_app);
+		ast_debug(1,"Alarmreceiver: executing: %s\n", event_app);
 		ast_safe_system(event_app);
 	}
 
Index: app_talkdetect.c
===================================================================
--- app_talkdetect.c	(revision 69052)
+++ app_talkdetect.c	(working copy)
@@ -103,9 +103,7 @@
 			}
 		}
 	}
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Preparing detect of '%s', sil=%d,min=%d,max=%d\n", 
-						tmp, sil, min, max);
+	ast_debug(1, "Preparing detect of '%s', sil=%d,min=%d,max=%d\n", tmp, sil, min, max);
 	if (chan->_state != AST_STATE_UP) {
 		/* Otherwise answer unless we're supposed to send this while on-hook */
 		res = ast_answer(chan);
@@ -164,8 +162,7 @@
 									ms = 0;
 								if ((ms > min) && ((max < 0) || (ms < max))) {
 									char ms_str[10];
-									if (option_debug)
-										ast_log(LOG_DEBUG, "Found qualified token of %d ms\n", ms);
+									ast_debug(1, "Found qualified token of %d ms\n", ms);
 
 									/* Save detected talk time (in milliseconds) */ 
 									sprintf(ms_str, "%d", ms );	
@@ -176,8 +173,7 @@
 									ast_frfree(fr);
 									break;
 								} else {
-									if (option_debug)
-										ast_log(LOG_DEBUG, "Found unqualified token of %d ms\n", ms);
+									ast_debug(1, "Found unqualified token of %d ms\n", ms);
 								}
 								notsilent = 0;
 							}
@@ -185,8 +181,7 @@
 							if (!notsilent) {
 								/* Heard some audio, mark the begining of the token */
 								start = ast_tvnow();
-								if (option_debug)
-									ast_log(LOG_DEBUG, "Start of voice token!\n");
+								ast_debug(1, "Start of voice token!\n");
 								notsilent = 1;
 							}
 						}
Index: app_db.c
===================================================================
--- app_db.c	(revision 69052)
+++ app_db.c	(working copy)
@@ -78,8 +78,7 @@
 		family = strsep(&argv, "/");
 		keytree = strsep(&argv, "\0");
 			if (!family || !keytree) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Ignoring; Syntax error in argument\n");
+				ast_debug(1, "Ignoring; Syntax error in argument\n");
 				ast_module_user_remove(u);
 				return 0;
 			}
@@ -126,8 +125,7 @@
 		family = strsep(&argv, "/");
 		key = strsep(&argv, "\0");
 		if (!family || !key) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Ignoring; Syntax error in argument\n");
+			ast_debug(1, "Ignoring; Syntax error in argument\n");
 			ast_module_user_remove(u);
 			return 0;
 		}
@@ -138,8 +136,7 @@
 				ast_verbose(VERBOSE_PREFIX_3 "DBdel: Error deleting key from database.\n");
 		}
 	} else {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Ignoring, no parameters\n");
+		ast_debug(1, "Ignoring, no parameters\n");
 	}
 
 	ast_module_user_remove(u);
Index: app_mp3.c
===================================================================
--- app_mp3.c	(revision 69052)
+++ app_mp3.c	(working copy)
@@ -193,8 +193,7 @@
 						break;
 					}
 				} else {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "No more mp3\n");
+					ast_debug(1, "No more mp3\n");
 					res = 0;
 					break;
 				}
@@ -202,22 +201,19 @@
 			} else {
 				ms = ast_waitfor(chan, ms);
 				if (ms < 0) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Hangup detected\n");
+					ast_debug(1, "Hangup detected\n");
 					res = -1;
 					break;
 				}
 				if (ms) {
 					f = ast_read(chan);
 					if (!f) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "Null frame == hangup() detected\n");
+						ast_debug(1, "Null frame == hangup() detected\n");
 						res = -1;
 						break;
 					}
 					if (f->frametype == AST_FRAME_DTMF) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "User pressed a key\n");
+						ast_debug(1, "User pressed a key\n");
 						ast_frfree(f);
 						res = 0;
 						break;
Index: app_rpt.c
===================================================================
--- app_rpt.c	(revision 69052)
+++ app_rpt.c	(working copy)
@@ -2775,10 +2775,8 @@
 		return DC_ERROR;
 
 	ast_copy_string(digitbuf, digits, sizeof(digitbuf));
+	ast_debug(1, "@@@@ ilink param = %s, digitbuf = %s\n", S_OR(param, "(null)"), digitbuf);
 
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ ilink param = %s, digitbuf = %s\n", S_OR(param, "(null)"), digitbuf);
-
 	switch (myatoi(param)) {
 	case 1: /* Link off */
 		if ((digitbuf[0] == '0') && (myrpt->lastlinknode[0]))
@@ -3122,8 +3120,7 @@
 	if (!myrpt->enable)
 		return DC_ERROR;
 
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ Autopatch up\n");
+	ast_debug(1, "@@@@ Autopatch up\n");
 
 	if (!myrpt->callmode) {
 		/* Set defaults */
@@ -3192,8 +3189,7 @@
 	if (!myrpt->enable)
 		return DC_ERROR;
 	
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ Autopatch down\n");
+	ast_debug(1, "@@@@ Autopatch down\n");
 		
 	rpt_mutex_lock(&myrpt->lock);
 	
@@ -3221,8 +3217,7 @@
 	if (!myrpt->enable)
 		return DC_ERROR;
 
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ status param = %s, digitbuf = %s\n", (param)? param : "(null)", digitbuf);
+	ast_debug(1, "@@@@ status param = %s, digitbuf = %s\n", (param)? param : "(null)", digitbuf);
 	
 	switch (myatoi(param)) {
 	case 1: /* System ID */
@@ -3255,8 +3250,7 @@
 	if ((!myrpt->remote) && (!myrpt->enable))
 		return DC_ERROR;
 
-	if (debug) 
-		ast_log(LOG_DEBUG, "@@@@ macro-oni param = %s, digitbuf = %s\n", (param)? param : "(null)", digitbuf);
+	ast_debug(1, "@@@@ macro-oni param = %s, digitbuf = %s\n", (param)? param : "(null)", digitbuf);
 	
 	mychannel = myrpt->remchannel;
 
@@ -3338,8 +3332,7 @@
 		AST_APP_ARG(param);
 	);
 	
-	if (debug)	
-		ast_log(LOG_DEBUG, "@@@@ Digits collected: %s, source: %d\n", digits, command_source);
+	ast_debug(1, "@@@@ Digits collected: %s, source: %d\n", digits, command_source);
 	
 	if (command_source == SOURCE_DPHONE) {
 		if (!myrpt->p.dphone_functions)
@@ -3379,23 +3372,20 @@
 	stringp = ast_strdupa(vp->value);
 	AST_NONSTANDARD_APP_ARGS(args, stringp, ',');
 
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ action: %s, param = %s\n", args.action, S_OR(args.param, "(null)"));
+	ast_debug(1, "@@@@ action: %s, param = %s\n", args.action, S_OR(args.param, "(null)"));
 	/* Look up the action */
 	for (i = 0; i < (sizeof(function_table) / sizeof(struct function_table_tag)); i++) {
 		if (!strncasecmp(args.action, function_table[i].action, strlen(args.action)))
 			break;
 	}
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ table index i = %d\n", i);
+	ast_debug(1, "@@@@ table index i = %d\n", i);
 	if (i == (sizeof(function_table) / sizeof(struct function_table_tag))) {
 		/* Error, action not in table */
 		return DC_ERROR;
 	}
 	if (function_table[i].function == NULL) {
 		/* Error, function undefined */
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ NULL for action: %s\n", args.action);
+		ast_debug(1, "@@@@ NULL for action: %s\n", args.action);
 		return DC_ERROR;
 	}
 	functiondigits = digits + strlen(vp->name);
@@ -3872,16 +3862,14 @@
 	int i;
 	struct zt_radio_param prm;
 
-	if (debug) {
-		char *buf = alloca(30 + txbytes * 3);
-		int len;
-		ast_copy_string(buf, "String output was: ", 30 + txbytes * 3);
-		len = strlen(buf);
-		for (i = 0; i < txbytes; i++)
-			len += snprintf(buf + len, 30 + txbytes * 3 - len, "%02X ", (unsigned char) txbuf[i]);
-		strcat(buf + len, "\n");
-		ast_log(LOG_DEBUG, "%s", buf);
-	}
+	char *buf = alloca(30 + txbytes * 3);
+	int len;
+	ast_copy_string(buf, "String output was: ", 30 + txbytes * 3);
+	len = strlen(buf);
+	for (i = 0; i < txbytes; i++)
+		len += snprintf(buf + len, 30 + txbytes * 3 - len, "%02X ", (unsigned char) txbuf[i]);
+	strcat(buf + len, "\n");
+	ast_debug(1, "%s", buf);
 
 	prm.radpar = ZT_RADPAR_REMMODE;
 	if (asciiflag)
@@ -3920,42 +3908,36 @@
 	/* if no decimal, is invalid */
 	
 	if (s == NULL) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ Frequency needs a decimal\n");
+		ast_debug(1, "@@@@ Frequency needs a decimal\n");
 		return -1;
 	}
 	
 	*s++ = 0;
 	if (strlen(tmp) < 2) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ Bad MHz digits: %s\n", tmp);
+		ast_debug(1, "@@@@ Bad MHz digits: %s\n", tmp);
 	 	return -1;
 	}
 	 
 	if (strlen(s) < 3) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ Bad KHz digits: %s\n", s);
+		ast_debug(1, "@@@@ Bad KHz digits: %s\n", s);
 	 	return -1;
 	}
 
 	if ((s[2] != '0') && (s[2] != '5')) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ KHz must end in 0 or 5: %c\n", s[2]);
+		ast_debug(1, "@@@@ KHz must end in 0 or 5: %c\n", s[2]);
 	 	return -1;
 	}
 	 
 	band = rbi_mhztoband(tmp);
 	if (band == -1) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ Bad Band: %s\n", tmp);
+		ast_debug(1, "@@@@ Bad Band: %s\n", tmp);
 	 	return -1;
 	}
 	
 	txpl = rbi_pltocode(myrpt->txpl);
 	
 	if (txpl == -1) {
-		if (debug)
-			ast_log(LOG_DEBUG, "@@@@ Bad TX PL: %s\n", myrpt->txpl);
+		ast_debug(1, "@@@@ Bad TX PL: %s\n", myrpt->txpl);
 	 	return -1;
 	}
 
@@ -4148,8 +4130,7 @@
 	int fd, m, d;
 
 	fd = 0;
-	if (debug) 
-		ast_log(LOG_DEBUG, "New frequency: %s\n", newfreq);
+	ast_debug(1, "New frequency: %s\n", newfreq);
 
 	if (split_freq(&m, &d, newfreq))
 		return -1; 
@@ -4274,53 +4255,44 @@
 {
 	int res;
 	
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ lock on\n");
+	ast_debug(1, "@@@@ lock on\n");
 
 	res = simple_command_ft897(myrpt, 0x00);				/* LOCK on */	
 
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ ptt off\n");
+	ast_debug(1, "@@@@ ptt off\n");
 
 	if (!res)
 		res = simple_command_ft897(myrpt, 0x88);		/* PTT off */
 
-	if (debug)
-		ast_log(LOG_DEBUG, "Modulation mode\n");
+	ast_debug(1, "Modulation mode\n");
 
 	if (!res)
 		res = set_mode_ft897(myrpt, myrpt->remmode);		/* Modulation mode */
 
-	if (debug)
-		ast_log(LOG_DEBUG, "Split off\n");
+	ast_debug(1, "Split off\n");
 
 	if (!res)
 		simple_command_ft897(myrpt, 0x82);			/* Split off */
 
-	if (debug)
-		ast_log(LOG_DEBUG, "Frequency\n");
+	ast_debug(1, "Frequency\n");
 
 	if (!res)
 		res = set_freq_ft897(myrpt, myrpt->freq);		/* Frequency */
 	if ((myrpt->remmode == REM_MODE_FM)) {
-		if (debug)
-			ast_log(LOG_DEBUG, "Offset\n");
+		ast_debug(1, "Offset\n");
 		if (!res)
 			res = set_offset_ft897(myrpt, myrpt->offset);	/* Offset if FM */
 		if ((!res)&&(myrpt->rxplon || myrpt->txplon)) {
-			if (debug)
-				ast_log(LOG_DEBUG, "CTCSS tone freqs.\n");
+			ast_debug(1, "CTCSS tone freqs.\n");
 			res = set_ctcss_freq_ft897(myrpt, myrpt->txpl, myrpt->rxpl); /* CTCSS freqs if CTCSS is enabled */
 		}
 		if (!res) {
-			if (debug)
-				ast_log(LOG_DEBUG, "CTCSS mode\n");
+			ast_debug(1, "CTCSS mode\n");
 			res = set_ctcss_mode_ft897(myrpt, myrpt->txplon, myrpt->rxplon); /* CTCSS mode */
 		}
 	}
 	if ((myrpt->remmode == REM_MODE_USB)||(myrpt->remmode == REM_MODE_LSB)) {
-		if (debug)
-			ast_log(LOG_DEBUG, "Clarifier off\n");
+		ast_debug(1, "Clarifier off\n");
 		simple_command_ft897(myrpt, 0x85);			/* Clarifier off if LSB or USB */
 	}
 	return res;
@@ -4342,8 +4314,7 @@
 {
 	int m, d;
 
-	if (debug)
-		ast_log(LOG_DEBUG, "Before bump: %s\n", myrpt->freq);
+	ast_debug(1, "Before bump: %s\n", myrpt->freq);
 
 	if (split_freq(&m, &d, myrpt->freq))
 		return -1;
@@ -4358,16 +4329,13 @@
 	}
 
 	if (check_freq_ft897(m, d, NULL)) {
-		if (debug)
-			ast_log(LOG_DEBUG, "Bump freq invalid\n");
+		ast_debug(1, "Bump freq invalid\n");
 		return -1;
 	}
 
 	snprintf(myrpt->freq, MAXREMSTR, "%d.%05d", m, d);
+	ast_debug(1, "After bump: %s\n", myrpt->freq);
 
-	if (debug)
-		ast_log(LOG_DEBUG, "After bump: %s\n", myrpt->freq);
-
 	return set_freq_ft897(myrpt, myrpt->freq);	
 }
 
@@ -4768,9 +4736,7 @@
 		/* Check frequency for validity and establish a default mode */
 			
 		snprintf(freq, sizeof(freq), "%s.%03d%02d", args.s1, k, ht);
-
-		if (debug)
-			ast_log(LOG_DEBUG, "New frequency: %s\n", freq);		
+		ast_debug(1, "New frequency: %s\n", freq);		
 	
 		split_freq(&mhz, &decimals, freq);
 
@@ -4842,8 +4808,7 @@
 		i = strlen(digitbuf) - 1;
 		if ((j != 1) || (k < 2)|| (l != 1))
 			break; /* Not yet */
-		if (debug)
-			ast_log(LOG_DEBUG, "PL digits entered %s\n", digitbuf);
+		ast_debug(1, "PL digits entered %s\n", digitbuf);
  		
 		ast_copy_string(tmp, digitbuf, sizeof(tmp));
 		/* see if we have at least 1 */
@@ -4879,8 +4844,7 @@
 		i = strlen(digitbuf) - 1;
 		if ((j != 1) || (k < 2)|| (l != 1))
 			break; /* Not yet */
-		if (debug)
-			ast_log(LOG_DEBUG, "PL digits entered %s\n", digitbuf);
+		ast_debug(1, "PL digits entered %s\n", digitbuf);
 
 		ast_copy_string(tmp, digitbuf, sizeof(tmp));
 		/* see if we have at least 1 */
@@ -6287,8 +6251,7 @@
 		if (who == myrpt->rxchannel) { /* if it was a read from rx */
 			f = ast_read(myrpt->rxchannel);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+				ast_debug(1, "@@@@ rpt:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_VOICE) {
@@ -6347,24 +6310,21 @@
 				continue;
 			} else if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
 				/* if RX key */
 				if (f->subclass == AST_CONTROL_RADIO_KEY) {
 					if ((!lasttx) || (myrpt->p.duplex > 1)) {
-						if (debug == 7)
-							ast_log(LOG_DEBUG, "@@@@ rx key\n");
+						ast_debug(8, "@@@@ rx key\n");
 						myrpt->keyed = 1;
 					}
 				}
 				/* if RX un-key */
 				if (f->subclass == AST_CONTROL_RADIO_UNKEY) {
 					if ((!lasttx) || (myrpt->p.duplex > 1)) {
-						if (debug == 7)
-							ast_log(LOG_DEBUG, "@@@@ rx un-key\n");
+						ast_debug(8, "@@@@ rx un-key\n");
 						if (myrpt->keyed) {
 							rpt_telemetry(myrpt, UNKEY, NULL);
 						}
@@ -6378,8 +6338,7 @@
 		if (who == myrpt->pchannel) { /* if it was a read from pseudo */
 			f = ast_read(myrpt->pchannel);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+				ast_debug(1, "@@@@ rpt:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_VOICE) {
@@ -6387,8 +6346,7 @@
 			}
 			if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
@@ -6399,14 +6357,12 @@
 		if (who == myrpt->txchannel) { /* if it was a read from tx */
 			f = ast_read(myrpt->txchannel);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+				ast_debug(1, "@@@@ rpt:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
@@ -6514,14 +6470,12 @@
 					}
 					/* if RX key */
 					if (f->subclass == AST_CONTROL_RADIO_KEY) {
-						if (debug == 7 )
-							ast_log(LOG_DEBUG, "@@@@ rx key\n");
+						ast_debug(8, "@@@@ rx key\n");
 						l->lastrx = 1;
 					}
 					/* if RX un-key */
 					if (f->subclass == AST_CONTROL_RADIO_UNKEY) {
-						if (debug == 7)
-							ast_log(LOG_DEBUG, "@@@@ rx un-key\n");
+						ast_debug(8, "@@@@ rx un-key\n");
 						l->lastrx = 0;
 					}
 					if (f->subclass == AST_CONTROL_HANGUP) {
@@ -6577,8 +6531,7 @@
 				rpt_mutex_unlock(&myrpt->lock);
 				f = ast_read(l->pchan);
 				if (!f) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					toexit = 1;
 					rpt_mutex_lock(&myrpt->lock);
 					break;
@@ -6589,8 +6542,7 @@
 				}
 				if (f->frametype == AST_FRAME_CONTROL) {
 					if (f->subclass == AST_CONTROL_HANGUP) {
-						if (debug)
-							ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+						ast_debug(1, "@@@@ rpt:Hung Up\n");
 						ast_frfree(f);
 						toexit = 1;
 						rpt_mutex_lock(&myrpt->lock);
@@ -6609,14 +6561,12 @@
 		if (who == myrpt->txpchannel) { /* if it was a read from remote tx */
 			f = ast_read(myrpt->txpchannel);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+				ast_debug(1, "@@@@ rpt:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
@@ -6645,8 +6595,7 @@
 		ast_free(ll);
 	}
 	rpt_mutex_unlock(&myrpt->lock);
-	if (debug)
-		ast_log(LOG_DEBUG, "@@@@ rpt:Hung up channel\n");
+	ast_debug(1, "@@@@ rpt:Hung up channel\n");
 	myrpt->rpt_thread = AST_PTHREADT_STOP;
 	pthread_exit(NULL); 
 	return NULL;
@@ -7222,8 +7171,7 @@
 		if (who == chan) { /* if it was a read from incoming */
 			f = ast_read(chan);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ link:Hung Up\n");
+				ast_debug(1, "@@@@ link:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_VOICE) {
@@ -7235,8 +7183,7 @@
 			if (f->frametype == AST_FRAME_DTMF) {
 				myrpt->remchannel = chan; /* Save copy of channel */
 				if (handle_remote_phone_dtmf(myrpt, f->subclass, &keyed, phone_mode) == -1) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
@@ -7244,29 +7191,25 @@
 			if (f->frametype == AST_FRAME_TEXT) {
 				myrpt->remchannel = chan; /* Save copy of channel */
 				if (handle_remote_data(myrpt, f->data) == -1) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
 			}
 			if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
 				/* if RX key */
 				if (f->subclass == AST_CONTROL_RADIO_KEY) {
-					if (debug == 7)
-						ast_log(LOG_DEBUG, "@@@@ rx key\n");
+					ast_debug(8, "@@@@ rx key\n");
 					keyed = 1;
 				}
 				/* if RX un-key */
 				if (f->subclass == AST_CONTROL_RADIO_UNKEY) {
-					if (debug == 7)
-						ast_log(LOG_DEBUG, "@@@@ rx un-key\n");
+					ast_debug(8, "@@@@ rx un-key\n");
 					keyed = 0;
 				}
 			}
@@ -7308,7 +7251,7 @@
 		if (who == myrpt->rxchannel) { /* if it was a read from radio */
 			f = ast_read(myrpt->rxchannel);
 			if (!f) {
-				if (debug) ast_log(LOG_DEBUG, "@@@@ link:Hung Up\n");
+				ast_debug(1, "@@@@ link:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_VOICE) {
@@ -7317,15 +7260,13 @@
 				 ast_write(chan, f);
 			} else if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
 				/* if RX key */
 				if (f->subclass == AST_CONTROL_RADIO_KEY) {
-					if (debug == 7)
-						ast_log(LOG_DEBUG, "@@@@ remote rx key\n");
+					ast_debug(8, "@@@@ remote rx key\n");
 					if (!myrpt->remotetx) {
 						ast_indicate(chan, AST_CONTROL_RADIO_KEY);
 						myrpt->remoterx = 1;
@@ -7333,8 +7274,7 @@
 				}
 				/* if RX un-key */
 				if (f->subclass == AST_CONTROL_RADIO_UNKEY) {
-					if (debug == 7)
-						ast_log(LOG_DEBUG, "@@@@ remote rx un-key\n");
+					ast_debug(8, "@@@@ remote rx un-key\n");
 					if (!myrpt->remotetx) {
 						ast_indicate(chan, AST_CONTROL_RADIO_UNKEY);
 						myrpt->remoterx = 0;
@@ -7348,14 +7288,12 @@
 			/* do this cuz you have to */
 			f = ast_read(myrpt->txchannel);
 			if (!f) {
-				if (debug)
-					ast_log(LOG_DEBUG, "@@@@ link:Hung Up\n");
+				ast_debug(1, "@@@@ link:Hung Up\n");
 				break;
 			}
 			if (f->frametype == AST_FRAME_CONTROL) {
 				if (f->subclass == AST_CONTROL_HANGUP) {
-					if (debug)
-						ast_log(LOG_DEBUG, "@@@@ rpt:Hung Up\n");
+					ast_debug(1, "@@@@ rpt:Hung Up\n");
 					ast_frfree(f);
 					break;
 				}
